qtubuntu-camera (0.5.1+ubports0) UNRELEASED; urgency=medium

  * Use source format 3.0 (native)
  * Update homepage and VCS URLs
  * Fix missing return value causing unit test failures with newer gcc

 -- Guido Berhoerster <guido+gitlab.com@berhoerster.name>  Tue, 08 Mar 2022 13:53:59 +0100

qtubuntu-camera (0.5.0+ubports0) xenial; urgency=medium

  * Make AalCameraService advance status as things happen

 -- Ratchanan Srirattanamet <ratchanan@ubports.com>  Wed, 23 Oct 2019 01:31:22 +0700

qtubuntu-camera (0.4.2+ubports0) xenial; urgency=medium

  * Read orientation overrides from Android property

 -- Ratchanan Srirattanamet <peathot@hotmail.com>  Mon, 22 Jul 2019 23:31:40 +0700

qtubuntu-camera (0.4.1+ubports0) xenial; urgency=medium

  * Prevent AudioCapture from sending late samples into /dev/socket/micshm,
    which will cause A/V desync because micshm doesn't accept timing.
    This is done by limiting maximum PA buffer size & flush buffer before
    first read.

 -- Ratchanan Srirattanamet <peathot@hotmail.com>  Fri, 28 Jun 2019 01:12:17 +0700

qtubuntu-camera (0.4.0+ubports0) xenial; urgency=medium

  * Correctly report camera orientation by inverting the value given from
    Android as it has different meanning compared to Qt.
    - Add an override for krillin & vegetahd as they report camera orientaion
      incorrectly.
  * Captured image/video's rotation is now handled within the plugin. This is
    for consistency with other plugins from Qt itself.

 -- Ratchanan Srirattanamet <peathot@hotmail.com>  Tue, 18 Jun 2019 04:23:38 +0700

qtubuntu-camera (0.3.4+ubports) xenial; urgency=medium

  * Imported to UBports

 -- UBports auto importer <infra@ubports.com>  Mon, 15 Jan 2018 14:50:24 +0100

qtubuntu-camera (0.3.3+16.04.20160517-0ubuntu1) xenial; urgency=medium

  * Enable arm64

 -- Timo Jyrinki <ci-train-bot@canonical.com>  Tue, 17 May 2016 16:25:30 +0000

qtubuntu-camera (0.3.3+16.04.20160503-0ubuntu1) xenial; urgency=medium

  * Systematically remove EXIF Exif.Photo.MakerNote tag. Exiv2 is unable
    to deal with it and this prevents any other tag to be
    written/modified.

 -- Florian Boucault <florian.boucault@canonical.com>  Tue, 03 May 2016 13:31:12 +0000

qtubuntu-camera (0.3.3+16.04.20160421-0ubuntu1) xenial; urgency=medium

  * New release: Set the metering area to the same as the focus area.

 -- Florian Boucault <florian.boucault@canonical.com>  Thu, 21 Apr 2016 11:20:22 +0000

qtubuntu-camera (0.3.3+16.04.20160324-0ubuntu1) xenial; urgency=medium

  [ Jim Hodapp ]
  * Get rid of using the old QMediaPlayer::Alert role and use the new
    QAudio::NotificationRole for vivid and xenial.

 -- Timo Jyrinki <timo.jyrinki@canonical.com>  Thu, 24 Mar 2016 17:18:39 +0000

qtubuntu-camera (0.3.3+16.04.20160323.2-0ubuntu1) xenial; urgency=medium

  [ Florian Boucault, Jim Hodapp, Ugo Riboni ]
  * New release: Make it possible to set camera's captureMode before the
    camera stack is loaded. Implement qtmultimedia APIs to query the
    system for available cameras, their orientation and facing and
    replace some hardcoded logic to calls to these APIs. added:
    src/aalcamerainfocontrol.cpp src/aalcamerainfocontrol.h
    unittests/stubs/qcamerainfo_stub.cpp
    unittests/stubs/qcamerainfodata.cpp
    unittests/stubs/qcamerainfodata.h

 -- Florian Boucault <florian.boucault@canonical.com>  Wed, 23 Mar 2016 19:06:38 +0000

qtubuntu-camera (0.3.3+16.04.20160229-0ubuntu1) xenial; urgency=medium

  [ Florian Boucault, Ugo Riboni ]
  * New release: Performance improvements to minimize the time necessary
    between when pressing the shutter button and being able to capture
    the next pitcure. Remove sliding out the preview as a part of this.

 -- Florian Boucault <florian.boucault@canonical.com>  Mon, 29 Feb 2016 12:14:51 +0000

qtubuntu-camera (0.3.3+16.04.20160112-0ubuntu1) xenial; urgency=medium

  [ Florian Boucault ]
  * New release: Select the greatest photo resolution available by
    default. Fixed QCamera::LoadedState so that it only disables the
    viewfinder but keeps the camera stack loaded. Automatically set the
    state to QCamera::UnloadedState when the application becomes
    inactive. Restore state when application becomes active again. Limit
    thumbnail sizes to be at most 128x128 which ensures it never exceeds
    the EXIF metadata limit of 64KB.

  [ Ugo Riboni ]
  * New release: Select the greatest photo resolution available by
    default. Fixed QCamera::LoadedState so that it only disables the
    viewfinder but keeps the camera stack loaded. Automatically set the
    state to QCamera::UnloadedState when the application becomes
    inactive. Restore state when application becomes active again. Limit
    thumbnail sizes to be at most 128x128 which ensures it never exceeds
    the EXIF metadata limit of 64KB.

 -- Florian Boucault <florian.boucault@canonical.com>  Tue, 12 Jan 2016 13:18:10 +0000

qtubuntu-camera (0.3.3+16.04.20151202.1-0ubuntu1) xenial; urgency=medium

  [ Florian Boucault ]
  * New release: Support the new AudioRole API in addition to the old
    (LP: #1493851) (LP: #1450346) Make it possible to set resolution at
    application startup by not Don't reset the zoom level when only
    switching recording mode. Allow disabling shutter sound via the
    running process having set a QSettings key. Query the supported
    flash modes directly from Android instead of hardcoding them. Enable
    zoom when in video recording mode, if supported by hardware. Ensure
    the flash is correctly set on recording mode switch added:
    .qmake.conf (LP: #1450346, #1493851)

  [ Timo Jyrinki ]
  * New release: Support the new AudioRole API in addition to the old
    (LP: #1493851) (LP: #1450346) Make it possible to set resolution at
    application startup by not Don't reset the zoom level when only
    switching recording mode. Allow disabling shutter sound via the
    running process having set a QSettings key. Query the supported
    flash modes directly from Android instead of hardcoding them. Enable
    zoom when in video recording mode, if supported by hardware. Ensure
    the flash is correctly set on recording mode switch added:
    .qmake.conf (LP: #1450346, #1493851)

  [ Ugo Riboni ]
  * New release: Support the new AudioRole API in addition to the old
    (LP: #1493851) (LP: #1450346) Make it possible to set resolution at
    application startup by not Don't reset the zoom level when only
    switching recording mode. Allow disabling shutter sound via the
    running process having set a QSettings key. Query the supported
    flash modes directly from Android instead of hardcoding them. Enable
    zoom when in video recording mode, if supported by hardware. Ensure
    the flash is correctly set on recording mode switch added:
    .qmake.conf (LP: #1450346, #1493851)

 -- Florian Boucault <florian.boucault@canonical.com>  Wed, 02 Dec 2015 10:41:30 +0000

qtubuntu-camera (0.3.3+16.04.20151201-0ubuntu1) xenial; urgency=medium

  [ Timo Jyrinki ]
  * Support the new AudioRole API in addition to the old (LP: #1493851)
    (LP: #1450346) (LP: #1450346, #1493851)

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 01 Dec 2015 06:13:33 +0000

qtubuntu-camera (0.3.3+15.10.20150903-0ubuntu1) wily; urgency=medium

  [ Alfonso Sanchez-Beato ]
  * Sync vivid changes

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 03 Sep 2015 08:45:26 +0000

qtubuntu-camera (0.3.3+15.10.20150710-0ubuntu2~gcc5.2) wily; urgency=medium

  * No-change rebuild against libexiv2-14.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 06 Aug 2015 08:04:06 +0200

qtubuntu-camera (0.3.3+15.10.20150710-0ubuntu2~gcc5.1) wily; urgency=medium

  * No-change test rebuild for g++5 ABI transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 23:29:52 +0000

qtubuntu-camera (0.3.3+15.10.20150710-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Jim Hodapp ]
  * Update the required version of qtubuntu-media-signals and relink
    qtubuntu-camera so that it doesn't break the camera-app.

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 10 Jul 2015 18:12:33 +0000

qtubuntu-camera (0.3.3+15.10.20150706-0ubuntu1) wily; urgency=medium

  [ Alberto Aguirre ]
  * Remove dependency on platform-api. Use QScreen instead to obtain
    screen dimensions.

  [ CI Train Bot ]
  * New rebuild forced.

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 06 Jul 2015 18:22:45 +0000

qtubuntu-camera (0.3.3+15.10.20150629-0ubuntu1) wily; urgency=medium

  [ Florian Boucault ]
  * Write GPS location even if no altitude is given. (LP: #1447689)

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 29 Jun 2015 21:03:57 +0000

qtubuntu-camera (0.3.3+15.04.20150409-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Florian Boucault ]
  * Always respect the focus mode value set by the user instead of
    resetting to the Android value. (LP: #1441613, #1441614)

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 09 Apr 2015 17:57:05 +0000

qtubuntu-camera (0.3.3+15.04.20150129-0ubuntu1) vivid; urgency=low

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Florian Boucault ]
  * Make sure we don't dereference invalid pointers during rapid
    connect/disconnect sequences. (LP: #1411789)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 29 Jan 2015 19:51:02 +0000

qtubuntu-camera (0.3.3+15.04.20150126-0ubuntu1) vivid; urgency=low

  [ Jim Hodapp ]
  * Make sure that the video output file (.mp4) descriptor is closed
    when recording is stopped. (LP: #1385302)

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 26 Jan 2015 16:21:53 +0000

qtubuntu-camera (0.3.3+15.04.20150124-0ubuntu1) vivid; urgency=low

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Florian Boucault ]
  * Properly report where videos are recorded (QML property
    Camera.videoRecorder.actualLocation).

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Sat, 24 Jan 2015 17:11:57 +0000

qtubuntu-camera (0.3.3+15.04.20150109-0ubuntu1) vivid; urgency=low

  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 09 Jan 2015 12:37:46 +0000

qtubuntu-camera (0.3.3+15.04.20141208-0ubuntu1) vivid; urgency=low

  [ Jim Hodapp ]
  * Add useful image and thumbnail aspect ratio debugging and a warning
    when the two ratios don't match.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 08 Dec 2014 17:13:42 +0000

qtubuntu-camera (0.3.3+15.04.20141205.1-0ubuntu1) vivid; urgency=low

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Florian Boucault ]
  * Added support for getting and setting image encoding quality.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 05 Dec 2014 13:52:04 +0000

qtubuntu-camera (0.3.3+15.04.20141204-0ubuntu1) vivid; urgency=low

  [ Jim Hodapp ]
  * Make sure that Pulse stops reading the microphone stream when
    recording stops. Also make sure that the microphone reading worker
    thread stops cleanly on app termination. (LP: #1398861)
  * Make sure the client app doesn't freeze after first recording and
    then taking a still picture.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 04 Dec 2014 22:19:49 +0000

qtubuntu-camera (0.3.3+15.04.20141202-0ubuntu1) vivid; urgency=low

  [ Jim Hodapp ]
  * Fix incorrect preview window size bug when the thumbnail aspect
    ratio and preview window aspect ratio aren't the same

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 02 Dec 2014 23:27:59 +0000

qtubuntu-camera (0.3.3+15.04.20141119-0ubuntu1) vivid; urgency=low

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Florian Boucault ]
  * Support outputLocation() when parameter is a directory path, so one
    can assign external storage path (e.g. SD card) from QML using
    'camera.videoRecorder.outputLocation'.

  [ Penk Chen ]
  * Support outputLocation() when parameter is a directory path, so one
    can assign external storage path (e.g. SD card) from QML using
    'camera.videoRecorder.outputLocation'.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 19 Nov 2014 14:31:08 +0000

qtubuntu-camera (0.3.3+15.04.20141105-0ubuntu1) vivid; urgency=low

  [ Jim Hodapp ]
  * Add thumbnail size selection support.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 05 Nov 2014 01:31:29 +0000

qtubuntu-camera (0.3.3+14.10.20141001-0ubuntu1) 14.09; urgency=low

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Ugo Riboni ]
  * Fix EXIF timestamp before saving JPEG, so that timestamps are in
    local times and not in UTC (LP: #1371390)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 01 Oct 2014 22:23:52 +0000

qtubuntu-camera (0.3.3+14.10.20140924-0ubuntu1) 14.09; urgency=low

  [ Ricardo Salveti de Araujo ]
  * Ensure androidControl is valid before using it to change exposure
    settings. (LP: #1368436)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 24 Sep 2014 17:52:59 +0000

qtubuntu-camera (0.3.3+14.10.20140918-0ubuntu1) 14.09; urgency=low

  [ Yuan-Chen Cheng ]
  * fix bug on use the lowest resolution instead of highest one. (LP:
    #1365385)

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 18 Sep 2014 14:26:04 +0000

qtubuntu-camera (0.3.3+14.10.20140911-0ubuntu1) utopic; urgency=low

  [ Ugo Riboni ]
  * Prevent filenames from reoccurring when a photo is deleted and re-
    taken the same day, by adding time up to the second to the filename.
    (LP: #1234130)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 11 Sep 2014 19:55:53 +0000

qtubuntu-camera (0.3.3+14.10.20140909-0ubuntu1) utopic; urgency=low

  [ Ricardo Salveti de Araujo ]
  * Setting media role for the shutter sound (alert) (LP: #1366586)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 09 Sep 2014 02:12:46 +0000

qtubuntu-camera (0.3.3+14.10.20140908-0ubuntu1) utopic; urgency=low

  [ Florian Boucault ]
  * Tentative fix for broken camera when switching video/photo mode with
    front camera. (LP: #1355194)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 08 Sep 2014 13:42:24 +0000

qtubuntu-camera (0.3.3+14.10.20140807.1-0ubuntu1) utopic; urgency=low

  [ Jim Hodapp ]
  * Created a new AudioCapture class that is responsible for opening the
    microphone channel from Pulseaudio and feeds the data to the Android
    side of camera recording via a named pipe (LP: #1342127)

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Jim Hodapp<jim.hodapp@canonical.com> ]
  * Created a new AudioCapture class that is responsible for opening the
    microphone channel from Pulseaudio and feeds the data to the Android
    side of camera recording via a named pipe (LP: #1342127)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 07 Aug 2014 21:29:32 +0000

qtubuntu-camera (0.3.3+14.10.20140807-0ubuntu1) utopic; urgency=low

  [ Florian Boucault ]
  * Make sure that video and picture directories exist before writing to
    them. (LP: #1350986)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 07 Aug 2014 17:07:05 +0000

qtubuntu-camera (0.3.3+14.10.20140730-0ubuntu1) utopic; urgency=low

  [ Florian Boucault ]
  * Do not prevent switching camera without notice. The UI is able to
    choose when it is good for the user to be able to switch camera.
  * Save pictures and videos in a subfolder of the standard paths that
    depends on the application name. (LP: #1337594)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 30 Jul 2014 19:27:19 +0000

qtubuntu-camera (0.3.3+14.10.20140721-0ubuntu1) utopic; urgency=low

  [ Florian Boucault ]
  * Fixed disconnection so that it always happens and reconnection
    always works. Removed never executed code that was supposed to work
    around deletion issues. (LP: #1322604)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 21 Jul 2014 19:28:14 +0000

qtubuntu-camera (0.3.3+14.10.20140717-0ubuntu1) utopic; urgency=low

  [ Florian Boucault ]
  * Expose scene modes through a custom QCameraExposureControl. Only
    relevant scene modes for now are AUTO (off) and HDR.
  * Send GPS location to the Android layer (libhybris).

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 17 Jul 2014 19:10:23 +0000

qtubuntu-camera (0.3.3+14.10.20140714-0ubuntu1) utopic; urgency=low

  [ Florian Boucault ]
  * Expose scene modes through a custom QCameraExposureControl. Only
    relevant scene modes for now are AUTO (off) and HDR.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 14 Jul 2014 13:59:03 +0000

qtubuntu-camera (0.3.3+14.10.20140625-0ubuntu1) utopic; urgency=low

  [ Jim Hodapp ]
  * Rename recorder_compatability_layer.* to media_recorder_layer.h to
    agree with libhybris. Change the libhybris include to be
    media_recorder_layer.h .

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 25 Jun 2014 00:29:31 +0000

qtubuntu-camera (0.3.3+14.10.20140612-0ubuntu1) utopic; urgency=low

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Ricardo Mendoza ]
  * Migrate to Platform API V2

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 12 Jun 2014 10:37:54 +0000

qtubuntu-camera (0.3.3+14.04.20140304-0ubuntu2) trusty; urgency=medium

  * No-change rebuild for shlib changes in qtbase and qtdeclarative.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 14 Apr 2014 13:13:09 -0300

qtubuntu-camera (0.3.3+14.04.20140304-0ubuntu1) trusty; urgency=low

  [ CI bot ]
  * No change rebuild against Qt 5.2.1.

  [ Albert Astals ]
  * Don't ask for private headers since they are not used .

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 04 Mar 2014 13:46:57 +0000

qtubuntu-camera (0.3.3+13.10.20130919.2-0ubuntu1) saucy; urgency=low

  [ Guenter Schwann ]
  * Play sound when capturing a photo fixes LP: #1220736. (LP: #1220736)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 84

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 19 Sep 2013 09:01:47 +0000

qtubuntu-camera (0.3.3+13.10.20130808.1-0ubuntu1) saucy; urgency=low

  [ Guenter Schwann ]
  * * don't separate video and photo flash modes * prepare to query
    flash modes from android.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 82

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 08 Aug 2013 06:03:41 +0000

qtubuntu-camera (0.3.3+13.10.20130806-0ubuntu1) saucy; urgency=low

  [ Guenter Schwann ]
  * * differentiate video and phot mode for supported flashes * don't
    mess up flash modes on camera init. (LP: #1105131)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 80

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 06 Aug 2013 08:16:07 +0000

qtubuntu-camera (0.3.3+13.10.20130802-0ubuntu1) saucy; urgency=low

  [ Guenter Schwann ]
  * Block switching cameras, while switching the camera is ongoing. (LP:
    #1203133)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 78

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 02 Aug 2013 04:41:54 +0000

qtubuntu-camera (0.3.3+13.10.20130730-0ubuntu1) saucy; urgency=low

  [ Guenter Schwann ]
  * First request (and get) a texture ID, before starting the preview.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 76

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 30 Jul 2013 04:40:56 +0000

qtubuntu-camera (0.3.3+13.10.20130729-0ubuntu1) saucy; urgency=low

  [ Guenter Schwann ]
  * * reset focus status when switching cameras * prevent camera switch
    and capture mode switch during video recording. (LP: #1204132,
    #1204743)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 74

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 29 Jul 2013 07:46:05 +0000

qtubuntu-camera (0.3.3+13.10.20130726-0ubuntu1) saucy; urgency=low

  [ Guenter Schwann ]
  * Disable zooming in video mode LP: #1191088. (LP: #1191088)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 72

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 26 Jul 2013 07:33:05 +0000

qtubuntu-camera (0.3.3+13.10.20130725-0ubuntu1) saucy; urgency=low

  [ Guenter Schwann ]
  * Reset video encoding settings on camera initialization LP: #1200390
    LP: #1204255. (LP: #1200390, #1204255)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 70

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 25 Jul 2013 06:40:00 +0000

qtubuntu-camera (0.3.3+13.10.20130722-0ubuntu1) saucy; urgency=low

  [ Guenter Schwann ]
  * Avoid using old textures LP: #1170481. (LP: #1170481)
  * Don't restart the camera when switching photo/video mode LP:
    #1200390. (LP: #1200390)
  * Fallback when connection to a device with only one camera.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 68

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 22 Jul 2013 04:59:52 +0000

qtubuntu-camera (0.3.3+13.10.20130719-0ubuntu1) saucy; urgency=low

  [ Guenter Schwann ]
  * The camera needs some frames to be ready for capture LP: #1125302.
    (LP: #1125302)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 64

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 19 Jul 2013 06:09:37 +0000

qtubuntu-camera (0.3.3+13.10.20130705-0ubuntu1) saucy; urgency=low

  [ Guenter Schwann ]
  * Support FlashTorch.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 62

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 05 Jul 2013 04:35:06 +0000

qtubuntu-camera (0.3.3+13.10.20130627-0ubuntu1) saucy; urgency=low

  [ Ken VanDine ]
  * don't install the unit tests .

  [ Guenter Schwann ]
  * Restart camera on capture mode change, to update viewfinder
    resolution. (LP: #1191946)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 60

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 27 Jun 2013 04:40:04 +0000

qtubuntu-camera (0.3.3daily13.06.25-0ubuntu1) saucy; urgency=low

  [ Guenter Schwann ]
  * Remove unused thumbnail generation.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 57

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 25 Jun 2013 07:51:29 +0000

qtubuntu-camera (0.3.3daily13.06.22-0ubuntu1) saucy; urgency=low

  [ Guenter Schwann ]
  * Support orientation for videos. (LP: #1191934)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 55

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Sat, 22 Jun 2013 04:02:10 +0000

qtubuntu-camera (0.3.3daily13.06.12-0ubuntu1) saucy; urgency=low

  [ Guenter Schwann ]
  * Fix crash on startup.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 53

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 12 Jun 2013 16:39:04 +0000

qtubuntu-camera (0.3.3daily13.06.11-0ubuntu1) saucy; urgency=low

  [ Guenter Schwann ]
  * First version to support video recording.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 51

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 11 Jun 2013 04:05:18 +0000

qtubuntu-camera (0.3.3daily13.06.07-0ubuntu1) saucy; urgency=low

  [ Michael Terry ]
  * Build qtubuntu-camera for all three major arches (amd64 armhf i386)
    and fix its CamControl pointer to be what qtvideo-node expects. Plus
    some packaging cleanup.

  [ Ricardo Salveti de Araujo ]
  * Fixing hybris include paths and start depending on platform-api.

  [ Guenter Schwann ]
  * Compile fix for screen resolution API changes.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 49

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 07 Jun 2013 04:01:55 +0000

qtubuntu-camera (0.3.3daily13.05.22ubuntu.unity.next-0ubuntu1) raring; urgency=low

  [ Robert Bruce Park ]
  * Minor packaging fixups.

  [ Łukasz 'sil2100' Zemczak ]
  * debian/control:
    - Rename source package name to fit branch name
  * Automatic snapshot from revision 44 (bootstrap)

  [ Michael Terry ]
  * Build qtubuntu-camera for all three major arches (amd64 armhf i386)
    and fix its CamControl pointer to be what qtvideo-node expects. Plus
    some packaging cleanup.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 46 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 22 May 2013 04:27:36 +0000

cameraplugin-aal (0.3.2) quantal; urgency=low

  * Releasing multithreaded rendering enablement.
  * Allow the camera-app to still render preview video with Qt multithreaded
    rendering turned on.

 -- Jim Hodapp <jim.hodapp@canonical.com>  Thu, 14 Mar 2013 12:51:56 -0400

cameraplugin-aal (0.3.1) quantal; urgency=low

  * Reconnect to the camera, if the backend reports an error (LP: #1104407)
  * Save photos in correct orientation (LP: #1104407)

 -- Guenter Schwann <guenter.schwann@canonical.com>  Tue, 19 Jan 2013 21:59:25 +0100

cameraplugin-aal (0.3.0-0ubuntu1) quantal; urgency=low

  * Bumping package version number for a release.

 -- Jim Hodapp <jim.hodapp@canonical.com>  Fri, 15 Feb 2013 13:58:52 -0500

cameraplugin-aal (0.2.2) quantal; urgency=low

  * Dynamically select and set the highest 16:9 resolution for the camera
    image size.

 -- Jim Hodapp <jim.hodapp@canonical.com>  Fri, 08 Feb 2013 17:50:10 -0500

cameraplugin-aal (0.2.1) quantal; urgency=low

  * debian/control: updating metadata to reflect the right vcs and package
    maintainer

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 06 Feb 2013 21:58:47 -0200

cameraplugin-aal (0.2.0) quantal; urgency=low

  [ Guenter Schwann ]
  * Fixes for Qt5 final release packages

 -- Bill Filler <bill.filler@canonical.com>  Thu, 31 Jan 2013 11:29:07 -0500

cameraplugin-aal (0.1.13) quantal; urgency=low

  * Add a 1 second delay before calling doStartPreview() as a temporary fix
    for the threaded rendering issue.

 -- Jim Hodapp <jim.hodapp@canonical.com>  Tue, 29 Jan 2013 17:08:47 -0500

cameraplugin-aal (0.1.9) quantal; urgency=low

  * Create the thumbnail for the gallery

 -- Guenter Schwann <guenter.schwann@canonical.com>  Tue, 11 Dec 2012 19:04:59 +0100

cameraplugin-aal (0.1.8) quantal; urgency=low

  * Add control, so apps can change viewfinder properties like resolution
  * Return preview directly after capture

 -- Guenter Schwann <guenter.schwann@canonical.com>  Tue, 27 Nov 2012 15:59:59 +0100

cameraplugin-aal (0.1.7) quantal; urgency=low

  * Correct portrait rotation for the front camera
  * Signal errors to app
  * Support to stop/start the camera

 -- Guenter Schwann <guenter.schwann@canonical.com>  Wed, 21 Nov 2012 23:15:49 +0100

cameraplugin-aal (0.1.6) quantal; urgency=low

  [ Guenter Schwann]
  * Support for the front camera and the switching between the front and back camera.

 -- Ugo Riboni <ugo.riboni@canonical.com>  Fri, 16 Nov 2012 20:04:02 +0100

cameraplugin-aal (0.1.5) quantal; urgency=low

  [ Guenter Schwann ]
  * Rotate photo to be in portrait mode
  * Support for the front camera and the switching between the front and back camera

 -- Bill Filler <bill.filler@canonical.com>  Thu, 15 Nov 2012 21:14:06 -0500

cameraplugin-aal (0.1.4) quantal; urgency=low

  * Flash support
  * Zoom support
  * Start viewfinder after capture again
  * Focus support
  * Use 16:9 aspect ratio for viewfinder and image (still hardcoded values)
  * Update viewfinder with 30 FPS
  * Generate snapshot after capture

 -- Guenter Schwann <guenter.schwann@canonical.com>  Mon, 29 Oct 2012 16:21:10 +0100

cameraplugin-aal (0.1.3) quantal; urgency=low

  * Building only for i386 and arm, there is no hybris for amd64

 -- Sergio Schvezov <sergio.schvezov@canonical.com>  Mon, 29 Oct 2012 08:43:19 +0100

cameraplugin-aal (0.1.2) quantal; urgency=low

  [ Guenter Schwann ]
  * Create directory to store the images when needed
  * Move file do final destination, instead of saveing it there directly

  [ Bill Filler ]
  * fix debian/control to conflicts, replaces, and provides cameraplugin-fake
    such that upgrades will work correctly
  * fix build-deps in debian/control

 -- Guenter Schwann <guenter.schwann@canonical.com>  Thu, 25 Oct 2012 10:42:25 +0100

cameraplugin-aal (0.1.1) UNRELEASED; urgency=low

  * Working viewfinder

 -- Guenter Schwann <guenter.schwann@canonical.com>  Wed, 24 Oct 2012 17:52:25 +0100

cameraplugin-aal (0.1) UNRELEASED; urgency=low

  * Initial release.

 -- Guenter Schwann <guenter.schwann@canonical.com>  Fri, 05 Oct 2012 12:12:25 +0100
